
# GENERAL

input {
    kb_layout = us,rs
    kb_variant = ,yz
    kb_options = caps:escape,grp:menu_toggle

    follow_mouse = 1

    numlock_by_default = 1
    repeat_rate = 50
    repeat_delay = 300

    force_no_accel = true

    touchpad {
        scroll_factor = 0.4
        natural_scroll = false
        disable_while_typing = true
        tap-to-click = true
        tap-and-drag = true
    }


}

general {
    col.active_border=rgba(cba6f7ff) rgba(89b4faff) rgba(94e2d5ff) 10deg
    col.inactive_border=0xff45475a


    gaps_in = 7
    gaps_out = 15

    layout = dwindle

    border_size = 0
}


gestures {
    workspace_swipe = true
    workspace_swipe_fingers = 3
}


misc {
    disable_hyprland_logo = true
    enable_swallow = 1
    swallow_regex = ^(kitty)$
    vfr = true
    vrr = 1
}



master {
    no_gaps_when_only = false
}

dwindle {
    no_gaps_when_only = false
}

